/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: DomainController.java,v 1.3 2005/09/28 16:14:44 rampil Exp $
 */
package org.logical_paradox.vsan.domain;

import java.rmi.Remote;
import java.rmi.RemoteException;

import org.logical_paradox.vsan.node.DiskArrayNode;

/**
 * hCRg[[
 * hCɊւꌳǗ܂
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public interface DomainController extends Remote {
	/**
	 * o^ĂhCԂD
	 * @return hC
	 * @throws RemoteException ̎擾Ɏs
	 */
	public String[] getDomainNames() throws RemoteException;
	/**
	 * hC擾
	 * @param name hC
	 * @return hC
	 * @throws RemoteException ̎擾Ɏs
	 */
	public Domain getDomain(String name) throws RemoteException;
	/**
	 * whCɃm[hǉ
	 * @param domainname hC
	 * @param node fBXNACm[h̏
	 * @throws RemoteException ǉɎs
	 */
	public void join(String domainname, DiskArrayNode node) throws RemoteException;
	/**
	 * whC痣E
	 * @param domainname hC
	 * @param host m[h̃zXgAhX
	 * @throws RemoteException EɎs
	 */
	public void leave(String domainname, String host) throws RemoteException;
	/**
	 * hCRg[[̎ʖԂD
	 * @return ʖ
	 * @throws RemoteException 擾Ɏs
	 */
	public String getName() throws RemoteException;
}
