/*
 * $Id: DomainSynchronizer.java,v 1.1 2005/09/28 16:14:29 rampil Exp $
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.vsan.dac;

import java.rmi.RemoteException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.logical_paradox.vsan.domain.DomainController;
import org.logical_paradox.vsan.lookup.LookupFactory;

/**
 * fBXNACm[h̏ԂhCRg[[֓]郍WbN
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class DomainSynchronizer {
	/** K[ */
	private static final Log log = LogFactory.getLog(DomainSynchronizer.class);

	/**
	 * m[hhCRg[[֓]D
	 * @param context m[hReLXg
	 * @throws RemoteException s
	 */
	public static final void sync(NodeContext context) throws RemoteException {
		log.info("hCRg[[Ƀm[h]܂");

		DacConfig config = context.getConfig();
		String domain = context.getDatabase().getDomain();

		// hCRg[[
		DomainController domainController = LookupFactory.getLookup().lookupDomainController(config.getDomainController());
		domainController.join(domain, context.getDatabase().getNodeInfo());

		log.info("hCRg[[Ƀm[h]܂");
	}
	/**
	 * hCRg[[ɑ΂āChC̗EʒBD
	 * @param context m[hReLXg
	 * @throws RemoteException s
	 */
	public static final void leave(NodeContext context) throws RemoteException {
		log.info("hCm[h𗣒EĂ܂");

		DacConfig config = context.getConfig();
		String domain = context.getDatabase().getDomain();

		// hCRg[[
		DomainController domainController = LookupFactory.getLookup().lookupDomainController(config.getDomainController());
		domainController.leave(domain, context.getDatabase().getNodeInfo().getHost());


		log.info("hCm[h𗣒E܂");
	}
}
